# This file is sourced by "execfile" from chrono.settings

import os

PROJECT_NAME = 'chrono'

#
# hobotization (multitenant)
#
exec(open('/usr/lib/hobo/debian_config_common.py').read())

REST_FRAMEWORK['DEFAULT_AUTHENTICATION_CLASSES'] = (
    *REST_FRAMEWORK.get('DEFAULT_AUTHENTICATION_CLASSES', []),
    'rest_framework.authentication.SessionAuthentication',
)

#
# local settings
#
exec(open(os.path.join(ETC_DIR, 'settings.py')).read())

# run additional settings snippets
exec(open('/usr/lib/hobo/debian_config_settings_d.py').read())
